Bug 1079643 - pygi function introspection is broken (patch upstream)
Summary: pygi function introspection is broken (patch upstream)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-astroid   
(Show other bugs)
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-22 14:14 UTC by Cole Robinson
Modified: 2014-04-14 22:35 UTC (History)
2 users (show)

Fixed In Version: python-astroid-1.0.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-14 22:35:02 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cole Robinson 2014-03-22 14:14:20 UTC
Newer pyobject uses some local class FunctionInfo to export functions, and the pygi brain module doesn't handle it. So there's tons of no-member warnings, when running against virt-manager for example.

I posted a patch to the upstream tracker that fixes this, please consider pulling it into fedora 20:

https://bitbucket.org/logilab/astroid/issue/22/patch-brain-pygi-fix-function-inspection

Comment 1 Fedora Update System 2014-04-01 14:58:18 UTC
python-astroid-1.0.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-astroid-1.0.1-3.fc20

Comment 2 Fedora Update System 2014-04-02 09:07:28 UTC
Package python-astroid-1.0.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-astroid-1.0.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4617/python-astroid-1.0.1-3.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-04-14 22:35:02 UTC
python-astroid-1.0.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.